unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, NxDBColumns, NxColumns, DB, NxScrollControl, NxCustomGridControl,
  NxCustomGrid, NxDBGrid, ADODB, NxColumnClasses, NxGrid, StdCtrls, NxEdit;

type
  TForm3 = class(TForm)
    ADOTable1: TADOTable;
    ADOConnection1: TADOConnection;
    NextDBGrid1: TNextDBGrid;
    DataSource1: TDataSource;
    ADOTable1Field3: TBooleanField;
    ADOTable1ID: TAutoIncField;
    ADOTable1Field1: TIntegerField;
    ADOTable1Field2: TWideStringField;
    procedure ADOTable1Field3GetText(Sender: TField; var Text: string;
      DisplayText: Boolean);
    procedure NextDBGrid1CellClick(Sender: TObject; ACol, ARow: Integer);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}

procedure TForm3.ADOTable1Field3GetText(Sender: TField; var Text: string;
  DisplayText: Boolean);
begin
  if not Sender.AsBoolean then
    Text := '0'
  else
    Text := ''
end;

procedure TForm3.FormCreate(Sender: TObject);
begin
  ADOConnection1.ConnectionString := ADOConnection1.ConnectionString + '; Data Source=' +
    ExtractFilePath(ParamStr(0)) + 'Database1.mdb';
  ADOConnection1.Connected := True;
  ADOTable1.Active := True;
end;

procedure TForm3.NextDBGrid1CellClick(Sender: TObject; ACol, ARow: Integer);
begin
  if ACol = 3 then
  begin
    NextDBGrid1.CellValue[ACol, ARow] := not NextDBGrid1.CellValue[ACol, ARow];
  end;
end;

end.
